Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 550138 - Review Request: xcftools - Command-line tools for extracting information from XCF files
Review Request: xcftools - Command-line tools for extracting information from...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mohamed El Morabity
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-23 12:41 EST by Nicoleau Fabien
Modified: 2010-02-18 17:23 EST (History)
4 users (show)

See Also:
Fixed In Version: xcftools-1.0.7-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-18 17:22:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pikachu.2014: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicoleau Fabien 2009-12-23 12:41:46 EST
Spec URL: http://rpms.nicoleau-fabien.net/SPECS/xcftools.spec
SRPM URL: http://rpms.nicoleau-fabien.net/srpms.fc12/xcftools-1.0.7-1.fc12.src.rpm
Description:
Xcftools is a set of fast command-line tools for extracting information from
the Gimp's native file format XCF. The tools are designed to allow efficient
use of layered XCF files as sources in a build system that use 'make' and
similar tools to manage automatic processing of the graphics.
These tools work independently of the Gimp engine and do not require
the Gimp to even be installed.

This package builds on koji : http://koji.fedoraproject.org/koji/taskinfo?taskID=1888672

rpmlint output : 
[builder@FEDOBOX ~]$ rpmlint /home/builder/rpmbuild/SRPMS/xcftools-1.0.7-1.fc12.src.rpm /home/builder/rpmbuild/RPMS/x86_64/xcftools-1.0.7-1.fc12.x86_64.rpm /home/builder/rpmbuild/RPMS/x86_64/xcftools-debuginfo-1.0.7-1.fc12.x86_64.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Nicoleau Fabien 2010-01-31 16:49:54 EST
New SRPM url : http://rpms.nicoleau-fabien.net/SRPMS/xcftools-1.0.7-1.fc12.src.rpm
Comment 2 Mohamed El Morabity 2010-02-02 22:23:07 EST
I'll review your package.
Comment 3 Mohamed El Morabity 2010-02-02 23:03:17 EST
* MUST: rpmlint must be run on every package. The output should be posted in the review.
  OK
* MUST: The package must be named according to the Package Naming Guidelines .
  OK
* MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
  OK
* MUST: The package must meet the Packaging Guidelines
  OK
* MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines
  OK (Public Domain)
* MUST: The License field in the package spec file must match the actual license.
  OK (source code checked)
* MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
  N/A
* MUST: The spec file must be written in American English.
  OK
* MUST: The spec file for the package MUST be legible.
  OK
* MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
  OK (RPM source archive has the same MD5 sum than the one downloaded)
* MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
  OK (tested on koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1960019)
* MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
  N/A
* MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines; inclusion of those as BuildRequires is optional. Apply common sense.
  OK
* MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
  OK
* MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
  N/A
* MUST: Packages must NOT bundle copies of system libraries.
  OK
* MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
  N/A
* MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
  OK
* MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
  OK
* MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
  OK
* MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
  OK
* MUST: Each package must consistently use macros.
  OK
* MUST: The package must contain code, or permissable content.
  OK
* MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
  N/A
* MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
  OK
* MUST: Header files must be in a -devel package.
  N/A
* MUST: Static libraries must be in a -static package.
  N/A
* MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
  N/A
* MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
  N/A
* MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
  N/A
* MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
  OK
* MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
  N/A
* MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
  OK
* MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
  OK
* MUST: All filenames in rpm packages must be valid UTF-8.
  OK

APPROVED

A very little detail anyway: you should maybe remove this line in your .spec file, since it is completely useless:
   sed -i -e '/strip=/d' Makefile.in
Makefile.in doesn't contain a line with « strip= ». And by the way, strip is not called by default at compilation/installation ;)
Please remove this line before your CVS request
Comment 4 Nicoleau Fabien 2010-02-03 03:29:00 EST
Hi,
thank you for the review.

Makefile.in containes these two lines : 
  case $$p in xcfview) strip= ;; *) strip=-s ;; esac ; \
  $(INSTALL_PROGRAM) $$strip $$p \

If I remove the sed line in my spec file, the binary is stripped before install, and the result is an empty debuginfo package.
Comment 5 Mohamed El Morabity 2010-02-03 06:50:54 EST
Ok, you're right, I grep-ed the bad file, probably. Indeed your « sed » command is working here for the strip issue. Still APPROVED without any modification :-)
Comment 6 Nicoleau Fabien 2010-02-03 07:29:28 EST
New Package CVS Request
=======================
Package Name: xcftools
Short Description: Command-line tools for extracting information from XCF files
Owners: eponyme
Branches: F-11 F-12
InitialCC:
Comment 7 Kevin Fenzi 2010-02-03 21:30:20 EST
CVS done (by process-cvs-requests.py).
Comment 8 Fedora Update System 2010-02-04 13:26:17 EST
xcftools-1.0.7-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/xcftools-1.0.7-1.fc12
Comment 9 Fedora Update System 2010-02-04 13:28:21 EST
xcftools-1.0.7-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xcftools-1.0.7-1.fc11
Comment 10 Fedora Update System 2010-02-05 18:52:07 EST
xcftools-1.0.7-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xcftools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-1518
Comment 11 Fedora Update System 2010-02-05 18:52:22 EST
xcftools-1.0.7-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xcftools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1519
Comment 12 Fedora Update System 2010-02-18 17:22:44 EST
xcftools-1.0.7-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-02-18 17:23:41 EST
xcftools-1.0.7-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.